Subject: bug#20757: closed (Re: bug#20757: "unable to fork" on armhf)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 13 Sep 2015 09:34:03 +0000

Your bug report

#20757: "unable to fork" on armhf

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20757: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20757
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20757: "unable to fork" on armhf
From: [email-masked] (Ludovic Courtès)
To: Efraim Flashner <[email-masked]>
Cc: Mark H Weaver <[email-masked]>, [email-masked], [email-masked]
Date: Sun, 13 Sep 2015 11:33:03 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Efraim Flashner <[email-masked]> skribis:

> Lets close it for now. I haven't had anytime to work on it still, and its not
> a guix bug that an unrelated kernel didn't have the configuration set the way
> we'd like.

OK, done.

Ludo’.

Subject: "unable to fork" on armhf
From: Efraim Flashner <[email-masked]>
To: [email-masked]
Date: Sun, 7 Jun 2015 11:41:47 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

I have an armhf marsboard that I'm trying to run guix on top of debian. I
started by flashing a debian wheezy image, stripping out most of the
packages, and upgrading to jessie. I installed using the 0.8.2 armhf binary.
`guix pull` failed with the error "unable to fork: Invalid argument", and
likewise `guix build hello` also failed.

I ran `sudo strace -o log /root/.guix-profile/bin/guix-daemon
--build-users-group=guix-builder &`  and `strace -o hello guix build hello`.
I've attached the guix-daemon log to the email and the hello log is at
https://flashner.co.il/~efraim/hello

uname -a:
Linux marsboard 3.0.36+ #67 SMP PREEMPT Sat Dec 13 10:01:50 HKT 2014 armv7l
GNU/Linux

ldd --version:
ldd (Debian GLIBC 2.19-18) 2.19

cat /proc/cpuinfo:
Processor	: ARMv7 Processor rev 0 (v7l)
processor	: 0
BogoMIPS	: 503.83

processor	: 1
BogoMIPS	: 503.83

Features	: swp falf thumb fastmult vfp edsp neon vfpv3
CPU implementer	: 0x41
CPU architecture: 7
CPU variant	: 0x3
CPU part	: 0xc09
CPU revision	: 0

Hardware	: RK30board
Revision	: 0000
Serial		: 0000000000000000

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted